Subject: Re: Upper/lower case filenames.
From: Robert Collins <[email-masked]>
To: Ron House <[email-masked]>
Cc: [email-masked]
Date: 09 Aug 2001 15:01:24 +1000

On 09 Aug 2001 03:26:39 +0000, Ron House wrote:
> Robert Collins wrote:
> > 
> > On 09 Aug 2001 03:05:59 +0000, Ron House wrote:
> > > Having just tried Cygwin, I notice that 8.3 filenames which are taken to
> > > be lower case under Linux are taken as upper case under Cygwin. This
> > > means that scripts such as "cp *.cpp ..." and makefiles don't work
> > > unless edited. Is there any reason for this design choice?
> > 
> > Ron, you haven't provided _any_ detail about how you are accessing the
> > 8.3 named files - over the network/a fat partition that you have and
> > access via dual boot/some other thing.
> 
> Sorry about that. I used the setup.exe thingy to install Cygwin from a
> mirror on my local HD (Windows 98 FAT). I also have Linux locally on a
> dual boot setup, with the C drive mounted as follows:
> 
> /dev/hda1  /c  vfat    defaults,user,umask=033,conv=b  0 0
> 
> Files written under Linux or Windows in lower case that fit in 8.3 are
> all taken as upper case by the Cygwin tools.

And windows shows them as upper case in file manager/windows explorer?

> > In fact you haven't provided enough detail for a cygwin developer (me)
> > to say that you are discussing a design choice, and not a implementation
> > choice of yours!
> 
> I am not sure what implementation choices I have. The only question I
> was aked was whether to use DOS or Unix text files, and I selected DOS,
> as the crlf's are fixed by the way I send files from Linux to Windoze. 

Your other software is what I was referring to - which you've now
described - thanks.

I can't guess why cygwin is showing different from windows - it uses
windows calls to get the filenames. You may need to pick an example file
and use strace to see if any hints turn out. First off though, I'd
double check that *windows* - not command.com/cmd.exe thinks the file
really is lower case.
Rob 

> I
> noticed the three options on the CYGWIN environment variable for whether
> a file is recognised as having the same name, but that doesn't solve the
> problem because ls, etc., won't match a ".CPP" file against "*.cpp", so
> the files are not included in the list of 'tries' to even get a shot at
> being recognised.

Yes yes - thats what you said the first time!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/